Bug 1255483 - [abrt] wicd-gtk: wicd-client.py:778:_trigger_scan_if_needed:AttributeError: 'NoneType' object has no attribute 'Scan'
[abrt] wicd-gtk: wicd-client.py:778:_trigger_scan_if_needed:AttributeError: '...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: wicd (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:9fa063c1832afa6332de68ade40...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-20 13:30 EDT by viabsb
Modified: 2016-02-10 09:42 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-26 04:37:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (589 bytes, text/plain)
2015-08-20 13:30 EDT, viabsb
no flags Details
File: environ (1.75 KB, text/plain)
2015-08-20 13:30 EDT, viabsb
no flags Details

  None (edit)
Description viabsb 2015-08-20 13:30:32 EDT
Version-Release number of selected component:
wicd-gtk-1.7.3-1.fc20

Additional info:
reporter:       libreport-2.2.3
cmdline:        /usr/bin/python -O /usr/share/wicd/gtk/wicd-client.py --tray
executable:     /usr/share/wicd/gtk/wicd-client.py
kernel:         3.19.8-100.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
wicd-client.py:778:_trigger_scan_if_needed:AttributeError: 'NoneType' object has no attribute 'Scan'

Traceback (most recent call last):
  File "/usr/share/wicd/gtk/wicd-client.py", line 95, in wrapper
    return func(*args, **kwargs)
  File "/usr/share/wicd/gtk/wicd-client.py", line 778, in _trigger_scan_if_needed
    wireless.Scan(False)
AttributeError: 'NoneType' object has no attribute 'Scan'

Local variables in innermost frame:
item: <gtk.ImageMenuItem object at 0x10059b0 (GtkImageMenuItem at 0xd56150)>
self: <StatusTrayIconGUI object at 0x1005960 (GtkStatusIcon at 0x10c4ae0)>

Potential duplicate: bug 1252835
Comment 1 viabsb 2015-08-20 13:30:35 EDT
Created attachment 1065349 [details]
File: backtrace
Comment 2 viabsb 2015-08-20 13:30:36 EDT
Created attachment 1065350 [details]
File: environ
Comment 3 Jan Kurik 2015-12-22 06:35:03 EST
This bug is currently assigned to an unsupported release. If you think this bug is still valid and should remain open, please re-assign it to a supported release (F22, F23) or to rawhide.

Bugs which will be assigned to an unsupported release are going to be closed as EOL (End Of Life) on January 26th, 2016.

Note You need to log in before you can comment on or make changes to this bug.